%define _name lineak
%def_disable static

Name: %{_name}_kdeplugins
Version: 0.8.4
Release: alt1
Summary: A default plugin for lineakd
Group: System/Configuration/Other
License: GPL
Url: http://lineak.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

Source: %name-%version.tar.gz
Patch: lineak_defaultplugin-0.8.4-lib64.patch


# Automatically added by buildreq on Sat Mar 15 2008
BuildRequires: gcc-c++ gcc-fortran imake kde-settings-desktop kdepim-devel libXt-devel libjpeg-devel liblineak-devel qt3-designer xml-utils xorg-cf-files

%description
LinEAK is a utility designed to enable the use and configuration of
those special keys on Internet, Easy Access and Multimedia keyboards in
Linux.

This package provides lineakd plugin that contains the original EAK_
style macros.

%prep
%setup -q -n %name-%version
%patch -p1

%build
%autoreconf
%configure \
    %{subst_enable static}

%make_build

%install
%makeinstall prefix= DESTDIR=%buildroot mandir=%_mandir

#install -d -m 755 %buildroot/%_libdir/lineakd/plugins/

#files=`find . -name *.so`
#install -D -m 644 $files %buildroot/%_libdir/lineakd/plugins/

#install -d -m 755 %buildroot/%_man1dir/
#install -D -m 644 lineak_kdeplugins.1 %buildroot/%_man1dir/
rm %buildroot/%_libdir/lineakd/plugins/*.la

%files
%_libdir/lineakd/plugins/*.so
%_man1dir/*
%doc AUTHORS COPYING ChangeLog README TODO

%changelog
* Sat Mar 15 2008 Hihin Ruslan <ruslandh@altlinux.ru> 0.8.4-alt1
- First build for Sisyphus.
* Wed Sep 15  2004 Chris Petersen <rpm@forevermore.net>
- Rework how files are picked, and add paths to allow the makeinstall macro to work
* Tue Mar 6  2004 Chris Petersen <rpm@forevermore.net>
- Updated spec file to a better template
